function [time, joy_mes, joy_ref]=readLogFile_joy(path) 

% readLogFile_eta
% 
% Purpose: 
%           Read log text files (eta file) for ROV MINERVA & 30k
%               
% Record of revisions:
% Date:        Programmer:                    Description of change:
%--------------------------------------------------------------------------
% based on Mauro Candeloro read of log file..
% Oct 2012    Fredrik Dukan                 org. 
% 
%
%--------------------------------------------------------------------------
% time, eta_mes, eta_est, eta_des (6-DOF), alt_mes, alt_est, alt_des, gradF_x, gradF_y, gradF_z 

fid=fopen(path);

i=0;
stop=0;
while stop==0
    i=i+1;
    h1=fgetl(fid);
    lh=length(h1);
    
    if lh >= 1 && h1(1)=='t'
        stop=1;
    end
    logInfo(i,1)={h1};
end

%logInfo=logInfo(1:i-1,:);
check=logInfo{1,:};
l_c=length(check);
% time, joy_mes (4DOF), joy_ref (6DOF)
statesData=textscan(fid,'%s %f %f %f %f %f %f %f %f %f %f');
                        
time=statesData{1};
[r,c]=size(time); 

joy_mes=zeros(4,r);
for i=1:4
joy_mes(i,:)=statesData{i+1};  
end

joy_ref=zeros(6,r);
for i=1:6
joy_ref(i,:)=statesData{i+5};  
end


fclose(fid);

end

