function [time, eta_mes, nu_mes, nu_dot_mes, force]=readLogFile_raw(path) 

% readLogFile_eta
% 
% Purpose: 
%           Read log text files (eta file) for ROV MINERVA & 30k
%               
% Record of revisions:
% Date:        Programmer:                    Description of change:
%--------------------------------------------------------------------------
% based on Mauro Candeloro read of log file..
% Oct 2012    Fredrik Dukan                 org. 
% 
%
%--------------------------------------------------------------------------
% time, eta_mes, eta_est, eta_des (6-DOF), alt_mes, alt_est, alt_des, gradF_x, gradF_y, gradF_z 

fid=fopen(path);

i=0;
stop=0;
while stop==0
    i=i+1;
    h1=fgetl(fid);
    lh=length(h1);
    
    if lh >= 1 && h1(1)=='t'
        stop=1;
    end
    logInfo(i,1)={h1};
end

%logInfo=logInfo(1:i-1,:);
check=logInfo{1,:};
l_c=length(check);
% time, eta_mes, nu_mes, nu_dot_mes, force (all 6-DOF)
statesData=textscan(fid,'%s %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f');
                        
time=statesData{1};
[r,c]=size(time); 

eta_mes=zeros(6,r);
for i=1:6
eta_mes(i,:)=statesData{i+1};  
end

nu_mes=zeros(6,r);
for i=1:6
nu_mes(i,:)=statesData{i+7};  
end

nu_dot_mes=zeros(6,r);
for i=1:6
nu_dot_mes(i,:)=statesData{i+13};  
end


force=zeros(6,r);
for i=1:6
force(i,:)=statesData{i+19};  
end


fclose(fid);

end

